I think maybe the libs provided by the book's website are compiled with a different version of glibc. If the source is available, try to compile the libs on your machine, then use those compiled libs instead of the pre-compiled libs provided.